/* inputs */
input:focus, textarea:focus {
    outline: none;
}

/* icono de ayuda */
.help-icon {
    color: #2b88d8;
    cursor: help;
    font-size: 1.2rem;
    vertical-align: middle;
    margin-left: 8px;
}

/* --- SWEETALERT PREMIUM CORPORATE --- */
.swal2-toast-premium {
    background: linear-gradient(135deg, #1e293b 0%, #334155 100%) !important;
    color: #fff !important;
    border-radius: 12px !important;
    font-family: 'Inter', sans-serif !important;
}

.swal2-toast-premium .swal2-title {
    color: #fff !important;
    font-weight: 600 !important;
    font-size: 0.95rem !important;
}

.swal2-toast-premium .swal2-timer-progress-bar {
    background: #4ade80 !important; /* Verde claro premium */
}

.btn-premium-confirm {
    background-image: linear-gradient(195deg, #90c4f1ff 0%, #1A73E8 100%) !important;
    color: #fff !important;
    padding: 0.6rem 1.5rem !important;
    font-size: 0.75rem !important;
    font-weight: 700 !important;
    border-radius: 0.5rem !important;
    text-transform: uppercase !important;
    box-shadow: 0 3px 3px 0 rgba(26, 115, 232, 0.15), 0 3px 1px -2px rgba(26, 115, 232, 0.2), 0 1px 5px 0 rgba(26, 115, 232, 0.15) !important;
    border: none !important;
    cursor: pointer;
}

.btn-premium-cancel {
    background-image: linear-gradient(195deg, #f19d9dff 0%, #9b1a1aff 100%) !important;
    color: #ffffffff !important;
    padding: 0.6rem 1.5rem !important;
    font-size: 0.75rem !important;
    font-weight: 700 !important;
    border-radius: 0.5rem !important;
    text-transform: uppercase !important;
    border: none !important;
    margin-right: 8px !important;
    cursor: pointer;
}

.btn-premium-warning {
    background-image: linear-gradient(195deg, #fbc02d 0%, #f57f17 100%) !important;
    color: #fff !important;
    padding: 0.6rem 1.5rem !important;
    font-size: 0.75rem !important;
    font-weight: 700 !important;
    border-radius: 0.5rem !important;
    text-transform: uppercase !important;
    border: none !important;
    margin-right: 8px !important;
    cursor: pointer;
}


/* ===========================
   WHATSAPP CORPORATIVO
   =========================== */
.whatsapp-float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    background-color: #25d366;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 3px #999;
    z-index: 1000;
    /* Asegura que esté por encima de otros elementos */
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s;
}

.whatsapp-float:hover {
    background-color: #1ebe5e;
    color: #FFF;
}

.whatsapp-float i {
    margin-top: 0;
    color: #FFF;
}